%define scl rh-python36
%{?scl:%scl_package %{name}}
%{!?scl:%global pkg_name %{name}}

%define name azure-mgmt-authorization
%define version 0.51.1
%define unmangled_version 0.51.1
%define unmangled_version 0.51.1
%define release 1

Summary: Microsoft Azure Authorization Management Client Library for Python
%{?scl:Requires: %{scl}-runtime}
%{?scl:BuildRequires: %{scl}-runtime}
Name: %{?scl_prefix}azure-mgmt-authorization
Version: %{version}
Release: %{release}
Source0: azure-mgmt-authorization-%{unmangled_version}.zip
License: MIT License
Group: Development/Libraries
BuildRoot: %{_tmppath}/azure-mgmt-authorization-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Microsoft Corporation <azpysdkhelp@microsoft.com>
Packager: Martin Juhl <m@rtinjuhl.dk>
Url: https://github.com/Azure/azure-sdk-for-python


%description
Microsoft Azure SDK for Python
==============================

This is the Microsoft Azure Authorization Management Client Library.

Azure Resource Manager (ARM) is the next generation of management APIs that
replace the old Azure Service Management (ASM).

This package has been tested with Python 2.7, 3.4, 3.5, 3.6 and 3.7.

For the older Azure Service Management (ASM) libraries, see
`azure-servicemanagement-legacy <https://pypi.python.org/pypi/azure-servicemanagement-legacy>`__ library.

For a more complete set of Azure libraries, see the `azure <https://pypi.python.org/pypi/azure>`__ bundle package.


Compatibility
=============

**IMPORTANT**: If you have an earlier version of the azure package
(version < 1.0), you should uninstall it before installing this package.

You can check the version using pip:

.. code:: shell

    pip freeze

If you see azure==0.11.0 (or any version below 1.0), uninstall it first:

.. code:: shell

    pip uninstall azure


Usage
=====

For code examples, see `Authorization Management
<https://docs.microsoft.com/python/api/overview/azure/authorization>`__
on docs.microsoft.com.


Provide Feedback
================

If you encounter any bugs or have suggestions, please file an issue in the
`Issues <https://github.com/Azure/azure-sdk-for-python/issues>`__
section of the project.


.. :changelog:

Release History
===============

0.51.1 (2018-11-27)
+++++++++++++++++++

**Bugfixes**

- Missing principal_type in role assignment class  #3802

0.51.0 (2018-11-12)
+++++++++++++++++++

**Features**

- Model RoleAssignmentCreateParameters has a new parameter principal_type

**Breaking changes**

- Parameter role_definition_id of model RoleAssignmentCreateParameters is now required
- Parameter principal_id of model RoleAssignmentCreateParameters is now required

Role Assignments API version is now 2018-09-01-preview

0.50.0 (2018-05-29)
+++++++++++++++++++

**Features**

- Support Azure Stack (multi API versionning)
- Client class can be used as a context manager to keep the underlying HTTP session open for performance

**Bugfixes**

- Compatibility of the sdist with wheel 0.31.0

0.40.0 (2018-03-13)
+++++++++++++++++++

**Breaking changes**

- Several properties have been flattened and "properties" attribute is not needed anymore
  (e.g. properties.email_address => email_address)
- Some method signature change (e.g. create_by_id)

**Features**

- Adding attributes data_actions / not_data_actions / is_data_actions

API version is now 2018-01-01-preview

0.30.0 (2017-04-28)
+++++++++++++++++++

* Initial Release
* This wheel package is built with the azure wheel extension



%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%setup -n azure-mgmt-authorization-%{unmangled_version} -n azure-mgmt-authorization-%{unmangled_version}
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
python3 setup.py build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
python3 setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
%{?scl:EOF}


%clean
%{?scl:scl enable %{scl} - << \EOF}
set -ex
rm -rf $RPM_BUILD_ROOT
%{?scl:EOF}


%files -f INSTALLED_FILES
%defattr(-,root,root)
